PostgreSQL Traqueur Dashboard is a simple monitoring tool that provides a report on recent PostgreSQL activity. It is based on original work by Damien Clochard.

It is designed to be displayed on a large screen in a monitoring room or an open space office.
The current dashboard is currently composed of 6 widgets :

* **General Info** : Version, number of host databases, etc. 
* **CPU & IO times** : Number of CPU & IO wait seconds in the last 15 minutes
* **CPU load ** : Global CPU load in the last 15 minutes
* **Top 3 Queries** : Hash values of top 3 active queries in the last 15 minutes
* **Top 3 Applications ** : Top 3 active applications in the last 15 minutes 
* **Top 3 Events ** : Top 3 wait event categories in the last 15 minutes 

Adding a new job should be fairly easy. this tool is design so that you can write a custom widget to display stats you find relevant or build a dynamic graph on some "business logic" valuation.

The layout is also entirely flexible. You can easily drag'n'drop any widget to put it wherever you want on the screen. And HTML code of the dashboard can be modified for specific needs, such as specific screen dimensions.

## Quick Start

If you already have installed a Ruby environnement and libpq-dev, simply type:

```
  
  cd traqueur_dashboard
  bundle
  mv config_postgresql.rb.example config_postgresql.rb
  vi config_postgresql.rb
  smashing start
```

Now go to [http://server_name:3030]() and have fun!

For more instructions, please read [INSTALL.md]

## Requirements

PostgreSQL Traqueur Dashboard is based on Smashing, a very nice dashboard framework. Smashing is a fork of Dashing which is no longer maintained.
Smashing itself is based on Sinatra, a very nice Ruby web framework.

Basically to run this tool, you will need:
 
* PostgreSQL 9.3.x or later
* Ruby 2.3.x or later
* Smashing 1.0.0 or later

## Security

__You need to be careful about the security of your PostgreSQL server when installing this tool .__

Therefore I **strongly** recommend the following precautions :

* [Read the Great PostgreSQL Documentation](http://www.postgresql.org/docs/current/static/auth-pg-hba-conf.html)
* Check your ``pg_hba.conf`` file
* Do not allow users to access PostgreSQL Traqueur Dashboard from the Internet
* Do not use a superuser in the config_postgresql.rb file

## License 

PostgreSQL Traqueur Dashboard is distributed under the PostgreSQL License.

Smashing is distributed under the MIT License.

The name "PostgreSQL" is registered trademark and the PostgreSQL Logo is a copyrighted design of the PostgreSQL Global Development Group.

## Links

  * Check out the [Smashing documentation](https://github.com/Smashing/smashing) for more information.
