###
### pg_instance job
### display general info about the PostgreSQL instance
###
### Widget :

#
# SET A CUSTOM FREQUENCY
#
freq = '1m'

require 'pg'

begin

  # Read the config file
  pg = eval(File.open(File.expand_path('config_postgresql.rb')).read)

  # if freq is not defined use the default
  freq = pg['freq'] if freq.nil?

  # Connect
  db = PG::Connection.open( pg['host'], pg['port'], pg['options'], pg['tty'],pg['dbname'], pg['user'], pg['password'])
  version = db.parameter_status('server_version');
  major_version = version.split(".").take(2).join(".").sub(/beta.*/,'').sub(/rc.*/,'')

  # Load the SQL query
  path='lib/postgresql/sql/'+ major_version +'/cpu_io_times.sql'
  sql = File.read(path)


  # Loop !
  SCHEDULER.every pg['freq'] do

    # Collect and Prepare	
    res = db.exec(sql);
    cpu_io_times = []  # rebuild the list every time
    cpu_io_times << { label: 'CPU user time', value: res[0]['cpu_user_time'] }	
    cpu_io_times << { label: 'CPU system time', value: res[0]['cpu_system_time'] }	
    cpu_io_times << { label: 'CPU idle time', value: res[0]['cpu_idle_time'] }	
    cpu_io_times << { label: 'IO wait time', value: res[0]['iowait_time'] }	
    

    # send
    send_event('cpu_io_times', { items: cpu_io_times })	
  end

rescue PG::Error 
 puts "\e[33mConnection Error : please check the config_postgresql.rb file.\e[0m"
end

