###
### pg_hitratio job
### returns the % of data found in cache 
###
### Widget :
###  <div data-id="hitratio" data-view="Meter" data-title="Hit Ratio" data-min="0" data-max="100" data-moreinfo="data found in cache"></div>


#
# SET A CUSTOM FREQUENCY
#
freq = '1m'


require 'pg'

begin

  # Read the config file
  pg = eval(File.open(File.expand_path('config_postgresql.rb')).read)

  # if freq is not defined use the default
  freq = pg['freq'] if freq.nil?

  # Connect
  db = PG::Connection.open( pg['host'], pg['port'], pg['options'], pg['tty'],pg['dbname'], pg['user'], pg['password'])
  version = db.parameter_status('server_version');
  major_version = version.split(".").take(2).join(".").sub(/beta.*/,'').sub(/rc.*/,'')

  # Load the SQL query
  path='lib/postgresql/sql/'+ major_version +'/cpu_load.sql'
  sql = File.read(path)

  # Init vars
  current_cpu_load = 0

  # Loop !
  SCHEDULER.every freq do

    # CPU load
    res = db.exec(sql)
    current_cpu_load = res.getvalue(0,0).to_i

    # send
    send_event('cpu_load', { value: current_cpu_load })
  end

rescue PG::Error 
 puts "\e[33mConnection Error : please check the config_postgresql.rb file.\e[0m"
end

