###
### pg_instance job
### display general info about the PostgreSQL instance
###
### Widget :

#
# SET A CUSTOM FREQUENCY
#
freq = '1m'

require 'pg'

begin

  # Read the config file
  pg = eval(File.open(File.expand_path('config_postgresql.rb')).read)

  # if freq is not defined use the default
  freq = pg['freq'] if freq.nil?

  # Connect
  db = PG::Connection.open( pg['host'], pg['port'], pg['options'], pg['tty'],pg['dbname'], pg['user'], pg['password'])
  version = db.parameter_status('server_version');
  major_version = version.split(".").take(2).join(".").sub(/beta.*/,'').sub(/rc.*/,'')

  # Load the SQL query
  path='lib/postgresql/sql/'+ major_version +'/top_queries.sql'
  sql = File.read(path)


  # Loop !
  SCHEDULER.every pg['freq'] do

    # Collect and Prepare	
    res = db.exec(sql);
    iqueries_itqueries = []  # rebuild the list every time
    iqueries_itqueries << { label: '1', value: res[0]['iquery_itquery'] }	
    iqueries_itqueries << { label: '2', value: res[1]['iquery_itquery'] }	
    iqueries_itqueries << { label: '3', value: res[2]['iquery_itquery'] }        

    # send
    send_event('iqueries_itqueries', { items: iqueries_itqueries })	
  end

rescue PG::Error 
 puts "\e[33mConnection Error : please check the config_postgresql.rb file.\e[0m"
end

