with detections as 
(select count(*) as nb 
from traqueur_sessions_actives 
where (pid is not null or datid is not null)  and application_name <> 'traqueur' and dtcol >= current_timestamp-interval '15 minutes' )
(select 
coalesce(upper(wait_event_type), 'CPU or ?') || ' : ' || round(100*count(*)/(select nb from detections)) || '%' || ' (' || count(*) || ')' as wait_event_type_pc 
from traqueur_sessions_actives 
where (pid is not null or datid is not null)  and application_name <> 'traqueur' and dtcol >= current_timestamp-interval '15 minutes' 
group by wait_event_type 
order by count(*) desc 
fetch first 3 rows only)
union all
(select null as wait_event_type_pc 
from generate_series(1,3,1)
order by 1 nulls last)
fetch first 3 rows only
;

