with detections as 
(select count(*) as nb 
from traqueur_sessions_actives 
where (pid is not null or datid is not null)  and application_name <> 'traqueur' and dtcol >= current_timestamp-interval '15 minutes' )
(select 
coalesce(itquery, iquery) || ' : ' || round(100*count(*)/(select nb from detections)) || '%' || ' (' ||  count(*) || ')' as iquery_itquery 
from traqueur_sessions_actives 
where (pid is not null or datid is not null) and dtcol >= current_timestamp-interval '15 minutes' and application_name <> 'traqueur'
group by coalesce(itquery, iquery) 
order by count(*) desc 
fetch first 3 rows only)
union all
(select null as iquery_itquery 
from generate_series(1,3,1)
order by 1 nulls last)
fetch first 3 rows only
;
