with detections as 
(select count(*) as nb 
from traqueur_sessions_actives 
where (pid is not null or datid is not null)  and application_name <> 'traqueur' and dtcol >= current_timestamp-interval '15 minutes' )
(select 
coalesce(application_name, '?') || ' (' || round(100*count(*)/(select nb from detections)) || '%)' as application
from traqueur_sessions_actives 
where (pid is not null or datid is not null)  and application_name <> 'traqueur' and dtcol >= current_timestamp-interval '15 minutes' 
group by application_name 
order by count(*) desc 
fetch first 3 rows only)
union all
(select null as application
from generate_series(1,3,1))
fetch first 3 rows only
;
